package jMusic;

public final class StochasticMatrix {

    public static void main(String[] args) {
        //Our data array 
        int[] numbers = {1, 2, 3, 4, 5};
        //Our weightings
        double[] weightings = {0.05, 0.15, 0.5, 0.2, 0.1};
        //The number of generated results
        int[] results = {0, 0, 0, 0, 0};
        //The number of results to generate
        int numOfResults = 10;
        //Loop for the number of numbers we want to generate
        for (int i = 0; i < numOfResults; i++) {
            //Retrieve a random number between 0.0 and 1.0
            double choice = Math.random();
            //The current sum of weightings	
            double currentSum = 0.0;
            //The result is an index to the data array
            int result = 0;
            //Check the weightings
            for (; result < numbers.length; result++) {
                currentSum += weightings[result];
                if (choice <= currentSum)
                    break; //break when we have chosen the right number
            }
            //Update the results
            results[numbers[result] - 1]++;
            //Print out the chosen number	
            if (i > 0)
                System.out.print(", ");
            System.out.print(numbers[result]);
        }
        System.out.println();
        for (int i = 0; i < numbers.length; i++)
            System.out.println((i + 1) + " chosen " + results[i] + " times (" + ((double)results[i] / numOfResults * 100) + "%)");
    }
}
