package jMusic;

import jm.music.data.*;
import jm.JMC;
import jm.audio.*;
import jm.util.*;

public class WaveformExample implements JMC {

    public static void main(String[] args) {
        // make a jMusic score
        Note n = new Note(C4, MINIM);
        Score score = new Score(new Part(new Phrase(n)));

        // set up an audio instrument
        Instrument sineWave = new SimpleSineInst(44100);

        // render audio file of the score
        Write.au(score, "WaveformExample.au", sineWave);
    }
}
